%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%  Peirce's law -> LEM
%%   meta-colog formulation
%%   N.B lemmas needed      
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

true => prop(p).

% lemma/axiom(?) for false consequent
prop(P), prop(C), holds((C -> false)) => holds(((P -> C) -> P)). 

% lemma
prop(P) => prop(neg(or(P,neg(P)))), holds((neg(or(P,neg(P))) -> false)).

% Peirce's law 
prop(P), prop(Q) => holds( (((P -> Q) -> P)-> P) ).

% modus ponens reified
holds((A -> C)), holds(A) => holds(C).

% LEM
holds(neg(or(P,neg(P)))) => goal.


%% 12.10.2012
