package sam.lang ; 

import java.util.* ; 

/**
  * Conjunction 
  * @version 2 April 2014
  * @author &copy; John Fisher 
  */
public class Conjunction extends Vector<Functor>{

   public boolean factual ; // for consequent 

   public Conjunction() { super() ;  }
   public Conjunction(int n) { super(n) ;   } 

   /**
     * Display as string.
     */
   public String toString() { 
      StringBuffer sb = new StringBuffer() ; 
      Iterator it = this.iterator() ; 
      while (it.hasNext()) {
         Term term = (Term)it.next() ; 
         sb.append(term.toString()) ; 
         if (it.hasNext()) sb.append(", ") ; 
      }
      return sb.toString() ; 
   }

   /**
     * Display Conjunction in consequent as HTML as string,
     * red flag existential variables.
     */
   public String toHTML(int U) { 
      StringBuffer sb = new StringBuffer() ; 
      Iterator it = this.iterator() ; 
      while (it.hasNext()) {
         Term term = (Term)it.next() ; 
         sb.append(term.toHTML(U)) ; 
         if (it.hasNext()) sb.append(", ") ; 
      }
      return sb.toString() ; 
   }

}
