package sam.lang ; 

import java.util.* ; 

/**
  * Disjunction 
  * @version 13 April 2010
  * @author &copy; John Fisher 
  */
public class Disjunction extends Vector<Conjunction> {

   public Disjunction() { super() ; }
   public Disjunction(int k) { super(k) ; }

   /**
     * Strict display as string.
     */
   public String toString() { 
      StringBuffer sb = new StringBuffer() ; 
      Iterator it = this.iterator() ; 
      while (it.hasNext()) { 
         Conjunction conj = (Conjunction)it.next() ;
         sb.append(conj.toString()) ; 
         if (it.hasNext()) sb.append(" | ") ; 
      }
      return sb.toString() ; 
   }

}
