Section DbyS.

Let false := False.
Let false_ind := False_ind.

Variable dom : Set.
Variable e : dom -> dom -> Prop.
Variable goal : Prop.
Variable i : dom -> dom -> Prop.
Variable l : dom -> Prop.
Variable p : dom -> Prop.
Variables a b c : dom.

Hypothesis points : p a /\ p b /\ p c.

Hypothesis goal_proved : forall A : dom,
  i a A /\ i b A /\ i c A -> goal.

Hypothesis sortp : forall A B : dom,
  i A B -> p A.

Hypothesis sortl : forall A B : dom,
  i A B -> l B.

Hypothesis p_ref : forall A : dom,
  p A -> e A A.

Hypothesis l_ref : forall A : dom,
  l A -> e A A.

Hypothesis sym : forall A B : dom,
  e A B -> e B A.

Hypothesis tra : forall A B C : dom,
  e A B /\ e B C -> e A C.

Hypothesis conp : forall A B C : dom,
  e A B /\ i B C -> i A C.

Hypothesis conl : forall A B C : dom,
  i A B /\ e B C -> i A C.

Hypothesis line : forall A B : dom,
  p A /\ p B -> (exists C, i A C /\ i B C).

Hypothesis point : forall A B : dom,
  l A /\ l B -> (exists C, i C A /\ i C B).

Hypothesis unique : forall A B C D : dom,
  i A C /\ i A D /\ i B C /\ i B D -> e A B \/ e C D.

Hypothesis wrong : forall A B C D E F G H I J K L M N O P Q R S T : dom,
  i A H /\ i A I /\ i B G /\ i B I /\ i C G /\ i C H /\ i D K /\ i D L /\ i E J /\ i E L /\ i F J /\ i F K /\ i A N /\ i D N /\ i M N /\ i B O /\ i E O /\ i M O /\ i C P /\ i F P /\ i M P /\ i Q G /\ i Q J /\ i Q T /\ i R H /\ i R K /\ i R T /\ i S I /\ i S L -> i S T \/ e G J \/ e H K \/ e I L.

Theorem DbyS : goal.
Proof.
exact
(*28*)(
(ex_ind (P:=fun w_0  => i a w_0 /\ i b w_0)
 (fun w_0  => (and_ind (fun Viaw_0  => (fun Vibw_0  => 
  (*27*)(
  (ex_ind (P:=fun w_1  => i a w_1 /\ i c w_1)
   (fun w_1  => (and_ind (fun Viaw_1  => (fun Vicw_1  => 
    (*26*)(
    (ex_ind (P:=fun w_2  => i b w_2 /\ i c w_2)
     (fun w_2  => (and_ind (fun Vibw_2  => (fun Vicw_2  => 
      (*25*)(
      (or_ind 
       (fun Vibw_1  => 
        (*15*)(goal_proved w_1 (conj Viaw_1 (conj Vibw_1 Vicw_1)))(*15*))
      (or_ind 
       (fun Vew_0w_1  => 
        (*18*)(goal_proved w_1 (conj Viaw_1 (conj 
         (*17*)(conl b w_0 w_1 (conj Vibw_0 Vew_0w_1))(*17*) Vicw_1)))(*18*))
      (or_ind 
       (fun Vew_0w_1  => 
        (*18*)(goal_proved w_1 (conj Viaw_1 (conj 
         (*17*)(conl b w_0 w_1 (conj Vibw_0 Vew_0w_1))(*17*) Vicw_1)))(*18*))
       (fun Vew_0w_2  => 
        (*24*)(goal_proved w_2 (conj 
         (*23*)(conl a w_0 w_2 (conj Viaw_0 Vew_0w_2))(*23*) (conj Vibw_2 Vicw_2)))(*24*)))))
      (*14*)(wrong a a a c c a w_0 w_0 w_0 w_1 w_1 w_2 a w_1 w_1 w_0 a a b w_1 (conj Viaw_0 (conj Viaw_0 (conj Viaw_0 (conj Viaw_0 (conj Viaw_0 (conj Viaw_0 (conj Vicw_1 (conj Vicw_2 (conj Vicw_1 (conj Vicw_2 (conj Viaw_1 (conj Viaw_1 (conj Viaw_1 (conj Vicw_1 (conj Viaw_1 (conj Viaw_1 (conj Vicw_1 (conj Viaw_1 (conj Viaw_0 (conj Viaw_0 (conj Viaw_0 (conj Viaw_0 (conj Viaw_1 (conj Viaw_1 (conj Viaw_0 (conj Viaw_1 (conj Viaw_1 (conj Vibw_0 Vibw_2)))))))))))))))))))))))))))))(*14*))(*25*))))))
    (*11*)(line b c (conj (proj1 (proj2 
     (*1*)(points)(*1*))) (proj2 (proj2 
     (*1*)(points)(*1*)))))(*11*))(*26*))))))
  (*8*)(line a c (conj (proj1 
   (*1*)(points)(*1*)) (proj2 (proj2 
   (*1*)(points)(*1*)))))(*8*))(*27*))))))
(*5*)(line a b (conj (proj1 
 (*1*)(points)(*1*)) (proj1 (proj2 
 (*1*)(points)(*1*)))))(*5*))(*28*).
Qed.

End DbyS.
