
% original config
true => i(a1,b2c2),i(b1,a2c2),i(c1,a2b2),
  i(a1,a1b1), i(b1,a1b1), i(a2,a2b2), i(b2,a2b2),
  i(a1,a1c1), i(c1,a1c1), i(a2,a2c2), i(c2,a2c2),
  i(c1,b1c1), i(b1,b1c1), i(c2,b2c2), i(b2,b2c2),
  i(o,oa), i(o,ob), i(o,oc), i(a1,oa),
  i(a2,oa), i(b1,ob), i(b2,ob), i(c1,oc), i(c2,oc),
  i(bc,b1c1), i(bc,b2c2), i(ac,a1c1), i(ac,a2c2),
  i(ab,a1b1), i(ab,a2b2).

% apply Pappus   appus.cl
i(A,L),i(B,L),i(C,L),i(D,M),i(E,M),i(F,M),          
i(B,N),i(F,N),i(G,N),i(C,O),i(E,O),i(G,O),          
i(B,P),i(D,P),i(H,P),i(A,Q),i(E,Q),i(H,Q),         
i(C,R),i(D,R),i(I,R),i(A,S),i(F,S),i(I,S)    
=>    
     //pappus(A,L,B,C,D,M,E,F,N,G,O,P,H,Q,R,I,S).  // all vars
   pappus(N,O,P,Q,R,S,T,G,H,I).               // only consequent vars
//   l(N,O) | l(P,Q) | l(R,S) |              % degenerate cases 
//   l(T,T),i(G,T),i(H,T),i(I,T).            % new incident line 
//   p(N,O,P,Q,R,S,T,G,H,I).


/*
12/10/2016
Johns-Mac-mini:colog14I johnfisher$ java -Xms3g -Xmx3g -cp colog14I.jar colog file=./pd/appus.cl width=1 depth=10000000

   pappus(N,O,P,Q,R,S,T,G,H,I)
   appus.cl, d=10,000,000, w=1, c=-1, COUNTER_MODEL, time=166286ms,
   inferences=1449244, facts=1449273, branches=1, deepest=1449273, 
   subsumed=5066854, irrelevant_branches=0, goals=0

Johns-Mac-mini:colog14I johnfisher$ java -Xms8g -Xmx8g -cp colog14I.jar colog file=./pd/appus.cl width=1 depth=100000000 &
[1] 645
...
   pappus(N,O,P,Q,R,S,T,G,H,I)
   appus.cl, d=100,000,000, w=1, c=-1, COUNTER_MODEL, time=231691ms,
   inferences=1449244, facts=1449273, branches=1, deepest=1449273, 
   subsumed=5066854, irrelevant_branches=0, goals=0

1449273-{30 facts, 1 inference}= 1,449,243 total applications of Pappus just from initial data. 

Is there a way to restrict pappus?

 1,449,273
+5,066,854
----------
 6,516,127  

   papus(A,L,B,C,D,M,E,F,N,G,O,P,H,Q,R,I,S)
   appus.cl, d=100000000, w=1, c=-1, COUNTER_MODEL, time=2050284ms,
   inferences=4920577, facts=4920606, branches=1, deepest=4920606, 
   subsumed=0, irrelevant_branches=0, goals=0

The advantage of pd_cro is the ability to measure progress for a very 
hard problem.  

However, it would also be interesting to add an axiom, 
or modify axioms to specify a "standard configuration"
and get a proof from that.


*/
