package sam.lang ; 

import java.util.* ; 

/* And (conjunction of Facts) 
 * @version 7 April 2014
 * @author &copy; John Fisher 
 */
public class And extends Vector<Fact> { 
   public boolean relevant ;  // set by Tree.setUsed
   public int[] choice ;      // set by ActiveRule, expand

   public And() { super() ; }
   public And(int n) { 
      super(n) ; 
      this.choice = new int[n] ;
   }

   /**
     * Display as string.
     */
   public String toString(Theory theory) { 
      StringBuffer sb = new StringBuffer() ; 
      int s = this.size() ;
      for(int i = 0 ; i < s ; i++) {
         Fact f = this.elementAt(i) ; 
         sb.append(f.toString(theory)) ; 
         if (i < s-1) sb.append(", ") ; 
      }
      return sb.toString() ; 
   }

   public static void main(String[] args) { 
      // Stack of And[] is ok
      Stack<And[]> choices = 
         new Stack<And[]>() ;
   }
}
