package sam.util ;

import java.util.* ;

/**
  *  An index: vectored list of integers.
  *  Can be "arrayed", eg. Index[].
   */
public class Index extends Vector<Integer>  { 

   public Index() { super() ; }
   public Index(int s) { super(s) ; }

   /**
     *  Excise element i, removes all.
     *  Use removeElement to remove first one.
      */
   public void excise(int i) {
      int p = this.indexOf(i) ;
      while (p > -1) {
         this.removeElementAt(p) ; 
         p = this.indexOf(i,p) ; 
      } 
   }
  
   public String toString() {
      StringBuffer b = new StringBuffer() ; 
      b.append("[") ; 
      Iterator it = this.iterator() ; 
      while (it.hasNext()) {
         b.append((Integer)it.next()) ; 
         if (it.hasNext()) b.append(",") ; 
      }
      b.append("]") ; 
      return b.toString() ; 
   }

   public static void main(String[] args){ 
      Index[] tbl = new Index[2] ;
      tbl[0] = new Index() ; 
      for (int i = 0 ; i < 20 ; i++)
         tbl[0].add(i%6) ; 
      System.out.println(tbl[0]) ; 
      tbl[0].excise(5) ; 
      System.out.println(tbl[0]) ; 
   }

}
